> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Metric Review

> Update a metric review in Labs. Typically used to add or update feedback notes for test sets.



## OpenAPI

````yaml patch /test_framework/metric-reviews/{id}/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/metric-reviews/{id}/:
    patch:
      tags:
        - test_framework
      description: >-
        Update a metric review in Labs. Typically used to add or update feedback
        notes for test sets.
      operationId: metric-reviews-partial-update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this metric review.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedMetricReviewInline'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedMetricReviewInline'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedMetricReviewInline'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricReviewInline'
          description: ''
      security:
        - api_key: []
components:
  schemas:
    PatchedMetricReviewInline:
      type: object
      properties:
        id:
          type: integer
        metric:
          type: integer
          readOnly: true
        metric_name:
          type: string
          readOnly: true
        metric_enum_values:
          readOnly: true
        eval_type:
          type: string
          readOnly: true
        expected_value:
          oneOf:
            - {}
            - type: 'null'
          description: |

            Metric expected value
            Example:
            - `5` or `0`
            - `one`, `two` or `three` [ enum type ]
        explanation:
          readOnly: true
          description: >

            Metric explanation

            Example:

            ```json

            ["Agent failed to follow the opening script", "Missed key product
            information"]

            ```
        feedback:
          type: string
          description: |

            Metric feedback
            Example:
            - `"Great Call"`
        metric_function_name:
          type: string
          readOnly: true
        metric_vocera_defined_metric_code:
          type: string
          readOnly: true
    MetricReviewInline:
      type: object
      properties:
        id:
          type: integer
        metric:
          type: integer
          readOnly: true
        metric_name:
          type: string
          readOnly: true
        metric_enum_values:
          readOnly: true
        eval_type:
          type: string
          readOnly: true
        expected_value:
          oneOf:
            - {}
            - type: 'null'
          description: |

            Metric expected value
            Example:
            - `5` or `0`
            - `one`, `two` or `three` [ enum type ]
        explanation:
          readOnly: true
          description: >

            Metric explanation

            Example:

            ```json

            ["Agent failed to follow the opening script", "Missed key product
            information"]

            ```
        feedback:
          type: string
          description: |

            Metric feedback
            Example:
            - `"Great Call"`
        metric_function_name:
          type: string
          readOnly: true
        metric_vocera_defined_metric_code:
          type: string
          readOnly: true
      required:
        - id
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````